com.trendmicro.ds.antimalware.rest.api

## Interface IAntiMalwaresAPI

-     @Path(value="/policies/antimalware")
      public interface IAntiMalwaresAPI

  Interface for antiMalware related configuration

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateAntiMalwareScanConfigResponse` | `addAntiMalwareScanConfig(CreateAntiMalwareScanConfigRequest createAntiMalwareScanConfigRequest)` Add an AntiMalware Scan Configurations
    `javax.ws.rs.core.Response` | `deleteAntiMalwareScanConfig(java.lang.Integer scanConfigId, java.lang.String sessionId)` Delete an AntiMalware Scan Configurations
    `AntiMalwareScanConfig` | `getAntiMalwareScanConfig(java.lang.Integer scanConfigId, java.lang.String sessionId)` Retrieve AntiMalware Scan Configurations by scan configuration ID
    `AntiMalwareScanConfigListing` | `getAntiMalwareScanConfigs(java.lang.String sessionId)` Retrieve All AntiMalware Scan Configurations
    `javax.ws.rs.core.Response` | `updateAntiMalwareScanConfig(java.lang.Integer scanConfigId, UpdateAntiMalwareScanConfigRequest updateAntiMalwareScanConfigRequest)` Update an AntiMalware Scan Configurations

- - ### Method Detail

    - #### getAntiMalwareScanConfigs

          @GET
           @Path(value="/scanConfigs")
           @Produces(value={"application/json","application/xml"})
          AntiMalwareScanConfigListing getAntiMalwareScanConfigs(@QueryParam(value="sID")
                                                                                                                                                            java.lang.String sessionId)
                                                                                                                                                     throws java.lang.Exception

      Retrieve All AntiMalware Scan Configurations
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        AntiMalwareScanConfigListing, a List of AntiMalwareScanConfig.
      Throws:
        `java.lang.Exception`

    - #### getAntiMalwareScanConfig

          @GET
           @Path(value="/scanConfigs/{scanConfigId}")
           @Produces(value={"application/json","application/xml"})
          AntiMalwareScanConfig getAntiMalwareScanConfig(@PathParam(value="scanConfigId")
                                                                                                                                                                   java.lang.Integer scanConfigId,
                                                                                                                                                                   @QueryParam(value="sID")
                                                                                                                                                                   java.lang.String sessionId)
                                                                                                                                                            throws java.lang.Exception

      Retrieve AntiMalware Scan Configurations by scan configuration ID
      Parameters:
        `scanConfigId` - antiMalwareID, antiMalware scan configuration ID.
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        AntiMalwareScanConfig.
      Throws:
        `java.lang.Exception`

    - #### addAntiMalwareScanConfig

          @POST
           @Path(value="/scanConfigs")
           @Consumes(value={"application/json","application/xml"})
           @Produces(value={"application/json","application/xml"})
          CreateAntiMalwareScanConfigResponse addAntiMalwareScanConfig(CreateAntiMalwareScanConfigRequest createAntiMalwareScanConfigRequest)
                                                                                                                                                                                                                     throws java.lang.Exception

      Add an AntiMalware Scan Configurations
      Parameters:
        `CreateAntiMalwareScanConfigRequest` - The request parameters.
      Returns:
        A response with status `200 OK` and a body containing response information when adding an antiMalware scan configuration succeeds. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` when mandatory parameters are missing or validation fails.
      Throws:
        `java.lang.Exception`

    - #### updateAntiMalwareScanConfig

          @PUT
           @Path(value="/scanConfigs/{scanConfigId}")
           @Consumes(value={"application/json","application/xml"})
           @Produces(value={"application/json","application/xml"})
          javax.ws.rs.core.Response updateAntiMalwareScanConfig(@PathParam(value="scanConfigId")
                                                                                                                                                                                                                                   java.lang.Integer scanConfigId,
                                                                                                                                                                                                                                   UpdateAntiMalwareScanConfigRequest updateAntiMalwareScanConfigRequest)
                                                                                                                                                                                                                            throws java.lang.Exception

      Update an AntiMalware Scan Configurations
      Parameters:
        `scanConfigId` - antiMalwareID, antiMalware scan configuration ID.
        `UpdateAntiMalwareScanConfigRequest` - The request parameters.
      Returns:
        A response with status `200 OK` and a body containing response information when updating an antiMalware scan configuration succeeds. It will return a response with status `400 Bad Request` and a body containing an `ErrorMessage` when trying to modify an unsupported attribute or when trying to modify a non-existent antiMalware scan configuration.
      Throws:
        `java.lang.Exception`

    - #### deleteAntiMalwareScanConfig

          @DELETE
           @Path(value="/scanConfigs/{scanConfigId}")
           @Produces(value={"application/json","application/xml"})
          javax.ws.rs.core.Response deleteAntiMalwareScanConfig(@PathParam(value="scanConfigId")
                                                                                                                                                                             java.lang.Integer scanConfigId,
                                                                                                                                                                             @QueryParam(value="sID")
                                                                                                                                                                             java.lang.String sessionId)
                                                                                                                                                                      throws java.lang.Exception

      Delete an AntiMalware Scan Configurations
      Parameters:
        `scanConfigId` - antiMalwareID, antiMalware scan configuration ID.
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        A response with status `200 OK` and a body containing response information when deletion was successful.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.